Bug 2035351 - Please branch and build xerces-c in epel9
Summary: Please branch and build xerces-c in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xerces-c
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2035352
TreeView+ depends on / blocked
 
Reported: 2021-12-23 17:23 UTC by Troy Dawson
Modified: 2022-01-21 03:05 UTC (History)
5 users (show)

Fixed In Version: xerces-c-3.2.3-5.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-21 03:05:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Troy Dawson 2021-12-23 17:23:29 UTC
Please branch and build xerces-c in epel9.

If you do not wish to maintain xerces-c in epel9,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package.

I have tested and the rawhide package builds in EPEL9 without any changes.

Comment 1 Volker Fröhlich 2021-12-23 17:50:17 UTC
You can have it. However, I only ever became a maintainer because there was no build for a certain architecture in RHEL 6 or so. I'm not sure if something similar is still the case.

Comment 2 Troy Dawson 2021-12-23 18:08:29 UTC
In RHEL9 it isn't in the release at all, and I need it for the KDE builds.
I'm fine taking it, but would you be able to add me with 'collaborator', 'commit' or better access on the page

https://src.fedoraproject.org/rpms/xerces-c

Comment 3 Troy Dawson 2022-01-04 21:34:14 UTC
I still can't branch this.
Can someone give me commit access to xerces-c

Comment 4 Antonio T. sagitter 2022-01-05 21:52:33 UTC
libcutl is ready for epel9.
As soon as xerces-c will be available we can create a side-tag for adding all three packages in epel9

Comment 5 Antonio T. sagitter 2022-01-06 20:54:55 UTC
Volker, please add me or Troy as co-maintainer of xerces-c
Use 'fedpkg build --target=epel9-build-side-49278' to build on EPEL9

Comment 6 Volker Fröhlich 2022-01-06 21:02:39 UTC
I added Troy. I hope you can take it from there. I kind of feel incompetent to take it further, maybe ask kalev, please.

Comment 7 Fedora Update System 2022-01-06 22:46:05 UTC
FEDORA-EPEL-2022-5b66467eb0 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5b66467eb0

Comment 8 Troy Dawson 2022-01-06 22:48:10 UTC
Thanks
I can take it from here.

Comment 9 Fedora Update System 2022-01-07 01:45:06 UTC
FEDORA-EPEL-2022-5b66467eb0 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5b66467eb0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-01-07 20:50:11 UTC
FEDORA-EPEL-2022-2be954c76e has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2be954c76e

Comment 11 Fedora Update System 2022-01-08 01:27:29 UTC
FEDORA-EPEL-2022-2be954c76e has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2be954c76e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-01-21 03:05:59 UTC
FEDORA-EPEL-2022-2be954c76e has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.